package com.abcsz.litigationcase.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 权限表
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@Data
@TableName("tb_permit")
@ApiModel(value = "PermitEntity对象", description = "权限表")
public class PermitEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "权限id")
    @TableId(value = "permit_id", type = IdType.ASSIGN_UUID)
    private String permitId;

    @ApiModelProperty(value = "权限编号")
    private String permitNum;

    @ApiModelProperty(value = "权限所属模块编号")
    private String moduleNum;

    @ApiModelProperty(value = "权限名称")
    private String permitName;

    @ApiModelProperty(value = "权限描述")
    private String permitDescribe;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新日期")
    private LocalDateTime updateTime;

    private String txtHold1;

    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;


}
