package com.abcsz.litigationcase.service;

import com.abcsz.litigationcase.dao.entity.UserEntity;
import com.abcsz.litigationcase.domain.ro.UserQueryRo;
import com.abcsz.litigationcase.domain.ro.UserRo;
import com.abcsz.litigationcase.domain.vo.PublicVo;
import com.abcsz.litigationcase.domain.vo.UseQueryVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户的模块权限表 服务类
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
public interface UserService extends IService<UserEntity> {

    UseQueryVo userQuery(UserQueryRo ro);

    PublicVo userInsert(UserRo ro);

    PublicVo userModify(UserRo ro);
}
