package com.abcsz.litigationcase;

import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.GlobalConfig;
import com.baomidou.mybatisplus.generator.config.PackageConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.TemplateConfig;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import org.junit.Test;

/**
 * @author shengqianlei
 * @Description mybatis-plus代码自动生成器
 */

public class CodeGenerator {
    @Test
    public  void codeGenerator(){
        /* 代码生成器 */
        AutoGenerator autoGenerator = new AutoGenerator();

        /* 1 全局配置 */
        GlobalConfig globalConfig = new GlobalConfig();
        //项目路径
        String projectPath = System.getProperty("user.dir");
        //文件生成地址
        globalConfig.setOutputDir(projectPath+"/src/main/java");
        //是否打开文件夹
        globalConfig.setOpen(false);
        //是否覆盖
        globalConfig.setFileOverride(false);
        globalConfig.setSwagger2(true);
        globalConfig.setIdType(IdType.ASSIGN_UUID);
        globalConfig.setAuthor("shengqianlei");
        globalConfig.setEntityName("%sEntity");
        globalConfig.setMapperName("%sMapper");
        globalConfig.setXmlName("%sMapper");
        globalConfig.setServiceName("%sService");
        globalConfig.setServiceImplName("%sServiceIml");
        globalConfig.setControllerName("%sController");

        autoGenerator.setGlobalConfig(globalConfig);

        /* 2 数据源配置 */
        DataSourceConfig dataSourceConfig = new DataSourceConfig();
        dataSourceConfig.setDbType(DbType.MYSQL);
        dataSourceConfig.setUrl("jdbc:mysql://10.39.129.22:3306/litigationcasedb?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&allowMultiQueries=true");
        dataSourceConfig.setDriverName("com.mysql.cj.jdbc.Driver");
        dataSourceConfig.setUsername("root");
        dataSourceConfig.setPassword("Abcsz@95599");
        autoGenerator.setDataSource(dataSourceConfig);

        /* 3 包配置 */
        PackageConfig packageConfig = new PackageConfig();
        // 父包名
        packageConfig.setParent("com.abcsz.litigationcase");
        // 模块名
        packageConfig.setModuleName(null);
        packageConfig.setEntity("dao.entity");
        packageConfig.setMapper("dao.mapper");
        packageConfig.setXml("dao.mapper.xml");
        packageConfig.setService("service");
        packageConfig.setServiceImpl("service.impl");
        packageConfig.setController("controller");

        autoGenerator.setPackageInfo(packageConfig);

        /* 4 策略配置 */
        StrategyConfig strategyConfig = new StrategyConfig();
        // 映射的表名
        strategyConfig.setInclude("tb_user");
        // 去除表tb_前缀
        strategyConfig.setTablePrefix("tb_");
        strategyConfig.setNaming(NamingStrategy.underline_to_camel);
        strategyConfig.setColumnNaming(NamingStrategy.underline_to_camel);
        strategyConfig.setEntityLombokModel(true);
        strategyConfig.setRestControllerStyle(true);
        strategyConfig.setEntitySerialVersionUID(true);

        autoGenerator.setStrategy(strategyConfig);

        /* 5 模板配置 */
        TemplateConfig templateConfig = new TemplateConfig();
        // 不生成mapper的xml文件
        templateConfig.setXml(null);
        autoGenerator.setTemplate(templateConfig);
//        autoGenerator.setTemplateEngine(new FreemarkerTemplateEngine());

        autoGenerator.execute();


    }
}
