package com.abcsz.litigationcase.utils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * @author shengqianlei
 * @Description 生成随机数
 */
public class RandomUtils {

    /**
     * 根据当前日期生成一个20位的随机数
     *
     * @return
     */
    public static String createRandom() {
        Date date = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
        String sId = simpleDateFormat.format(date);

        Random random = new Random();
        String s = random.nextInt(999999) + "";
        StringBuffer stringBuffer = new StringBuffer();
        for (int i = 0; i < 6 - s.length(); i++) {
            stringBuffer.append("0");
        }
        s = s + stringBuffer.toString();

        sId = sId + s;
        return sId;

    }

    /**
     * 根据当前日期生成一个8位的随机数
     *
     * @return
     */
    public static String createRandom2() {
        Random random = new Random();
        String s = random.nextInt(99999999) + "";
        StringBuffer stringBuffer = new StringBuffer();
        for (int i = 0; i < 8 - s.length(); i++) {
            stringBuffer.append("0");
        }
        s = s + stringBuffer.toString();
        return s;

    }
}
